%define pypi_name oauthlib

Name:           python-oauthlib
Version:        3.2.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic
License:        BSD
URL:            https://github.com/idan/oauthlib
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
OAuthLib is a generic utility which implements the logic of OAuth
without assuming a specific HTTP request object or web framework.

%package -n     python3-%{pypi_name}
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
OAuthLib is a generic utility which implements the logic of OAuth
without assuming a specific HTTP request object or web framework.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oauthlib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 3.2.2-2.mga10
+ Revision: 2155363
- rebuild for python3.13

* Thu Dec 28 2023 papoteur <papoteur> 3.2.2-1.mga10
+ Revision: 2023383
- new version 3.2.2

* Sat Sep 24 2022 papoteur <papoteur> 3.2.1-1.mga9
+ Revision: 1891912
- new 3.2.1

* Wed Mar 23 2022 umeabot <umeabot> 3.2.0-2.mga9
+ Revision: 1822787
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 wally <wally> 3.2.0-1.mga9
+ Revision: 1775206
- new version 3.2.0
- rebuild for python3.10

* Sun Aug 29 2021 wally <wally> 3.1.1-1.mga9
+ Revision: 1743461
- new version 3.1.1

* Sat Mar 27 2021 daviddavid <daviddavid> 3.1.0-3.mga9
+ Revision: 1711020
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1538122
- Mageia 8 Mass Rebuild

* Thu Nov 14 2019 daviddavid <daviddavid> 3.1.0-1.mga8
+ Revision: 1459943
- new version: 3.1.0

* Thu Oct 10 2019 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1450903
- new version: 3.0.2

* Wed Sep 18 2019 daviddavid <daviddavid> 3.0.0-2.mga8
+ Revision: 1443480
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 3.0.0-1.mga7
+ Revision: 1353434
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.3-4.mga7
+ Revision: 1289490
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.3-3.mga7
+ Revision: 1135522
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.0.3-2.mga6
+ Revision: 972278
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 1.0.3-1.mga6
+ Revision: 897110
- update to 1.0.3

* Sat Oct 10 2015 tv <tv> 0.6.1-6.mga6
+ Revision: 888816
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-5.mga5
+ Revision: 750976
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.1-4.mga5
+ Revision: 729196
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 688188
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6.1-2.mga5
+ Revision: 628855
- Rebuild for new Python

* Tue Mar 04 2014 philippem <philippem> 0.6.1-1.mga5
+ Revision: 599561
- update to 0.6.1

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543862
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498993
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 philippem <philippem> 0.6.0-1.mga4
+ Revision: 494895
- imported package python-oauthlib

